# Contact Directories Contact Directories ## Gets all of the contact directories in the system. - [GET /contactDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/listcontactdirectories.md): This method will scan all contact directories and and return them to the caller. ## Creates a new contact directory record that does not already exist. - [POST /contactDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/createcontactdirectory.md): This method will auto-generate an ID and create a new contact directory. If an ID is specified for the contact directory, an error will be thrown. ## Execute Batch Operations - [POST /contactDirectories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets an entry in the directory - [GET /contactDirectories/{tenantId}/public/entry/{id}/{entryId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/getdirectoryentry.md) ## Searches the directory - [POST /contactDirectories/{tenantId}/public/search/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/searchpublicdirectory.md) ## Sends a message to an entry in the directory - [POST /contactDirectories/{tenantId}/public/sendMessage/{directoryId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/senddirectorymessage.md) ## Returns a contact directory from the system by its ID. - [GET /contactDirectories/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/getpublicdirectory.md): This method will look up a contact directory by the specified ID and return it back. ## Searches the directory - [POST /contactDirectories/{tenantId}/search/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/searchdirectory.md) ## Returns a contact directory from the system by its ID. - [DELETE /contactDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/deletecontactdirectory.md): This method will delete a contact directory with the specified ID. ## Returns a contact directory from the system by its ID. - [GET /contactDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/getcontactdirectory.md): This method will look up a contact directory by the specified ID and return it back. ## Partially updates a contact directory with the specified ID. - [PATCH /contactDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/patchcontactdirectory.md): This method will patch an existing contact directory with the specified ID, using the HTTP PATCH specification. ## Updates a contact directory with the specified ID. - [PUT /contactDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-directories/updatecontactdirectory.md): This method will update an existing contact directory with the specified ID.